Lingxing
切换旧版

查询STA任务包装组装箱信息

POST/amzStaServer/openapi/inbound-plan/listInboundPlanGroupPacking

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-plan/listInboundPlanGroupPackingHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,对应创建STA任务接口对应字段【inboundPlanId】
packingGroupIdListarray<any>必填
包装组id
sidinteger必填
店铺id ,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-plan/listInboundPlanGroupPacking?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "packingGroupIdList": "包装组id",
    "sid": 1
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
inboundPlanIdstring
STA任务编号
packingGroupListarray<object>
包装组
隐藏子属性
packingGroupIdstring必填
包装组id
shipmentPackingListarray<object>必填
装箱明细
隐藏子属性
boxIdstring必填
箱子id
heightnumber必填
箱子高度
lengthnumber必填
箱子长度
lengthUnitstring必填
长度单位:含IN、CM
packageIdstring必填
包裹id
productListarray<object>必填
商品明细
隐藏子属性
asinstring必填
asin
expirationstring必填
有效期
fnskustring必填
fnsku
labelOwnerstring必填
标签类型(AMAZON,SELLER,NONE)
mskustring必填
msku
parentAsinstring必填
父asin
prepOwnerstring必填
预处理提供方(AMAZON,SELLER,NONE)
productNamestring必填
品名
quantityInBoxinteger必填
单箱数量
skustring必填
sku
titlestring必填
标题
urlstring必填
图片url
totalinteger必填
商品总数量
weightnumber必填
箱子重量
weightUnitstring必填
重量单位:含LB、KG
widthnumber必填
箱子宽度

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "574FB0B8-FD6E-8D29-91FD-295B55CF5398",
    "response_time": "2024-07-31 14:41:25",
    "data": {
        "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
        "packingGroupList": [
            {
                "packingGroupId": "包装组id",
                "shipmentPackingList": [
                    {
                        "boxId": 3,
                        "height": 4,
                        "length": 5,
                        "lengthUnit": "CM",
                        "packageId": "包裹id",
                        "productList": [
                            {
                                "asin": "asin",
                                "expiration": "有效期",
                                "fnsku": "fnsku",
                                "labelOwner": "标签类型(AMAZON,SELLER,NONE)",
                                "msku": "msku",
                                "parentAsin": "父asin",
                                "prepOwner": "预处理提供方(AMAZON,SELLER,NONE)",
                                "productName": "品名",
                                "quantityInBox": 5,
                                "sku": "sku",
                                "title": "标题",
                                "url": "图片url"
                            }
                        ],
                        "total": 7,
                        "weight": 6,
                        "weightUnit": "KG",
                        "width": 3
                    }
                ]
            }
        ]
    }
}